<?
require_once '../core/system.php';
require_once 'sys.php';
echo only_reg();
if($user['clan_id'] == 0) {
    header("Location: /clan/");
    exit();
}
$clan = mysql_fetch_assoc(mysql_query("SELECT * FROM `clans` WHERE `id` = '".$user['clan_id']."' LIMIT 1"));
$header = "Клановые задания";
require_once '../core/head.php';
switch($act) {
case 'nagrada':
if($clan[quest0] == 0){
if($clan[quest] < 5000){
$_SESSION['err'] = "Нужно 5000 побед!";
header('Location: ?');
exit();
}else{
mysql_query("UPDATE `clans` SET `quest` = '".($clan['quest']-5000)."', `gold` = '".($clan['gold']+100)."', `kamni` = '".($clan['kamni']+1000)."' WHERE `id` = '$clan[id]' LIMIT 1");
$_SESSION['message'] = "Задание выполнено!";
header('Location: ?');
exit();
}
}else{
$_SESSION['err'] = "Вы уже получили награду!";
header('Location: ?');
exit();
}
break;
default;
echo "<div class='player center blue'>";
echo "Выполняй задания и получай награду для клана!";
echo "</div>";
echo "<div class='mini-line'></div>";
echo "<div class='block_zero'>";
echo "<img src='/images/icon/quest.png'> <b class='dgreen'>Сражение на арене</b><br/><span class='medium'>Одержать 5000 побед в сражениях на арене.<br/><span class='blue'>Прогресс:</span> $clan[quest] из 5000";
echo "<div class='stat_bar' style='margin:2px 0px 2px'>";
echo "<div class='progress' style='width:".round(100/(5000/($clan[quest]+0)))."%'></div>";
echo "</div>";
echo "<span class='blue'>Награда:</span> <img src='/images/icon/kamni.png'> 1000 камней <img src='/images/icon/gold.png'> 100 золота в казну<br>";
if($clan[quest] > 4999)echo "<a class='btn' href='?act=nagrada'><span class='end'><span class='label'>Получить награду</span></span></a>";
echo "</div>";
echo "<div class='mini-line'></div>";
echo "<div class='menuList'><li><a href='/clan/'><img src='/images/icon/arrow.png'>Вернуться в клан</a></li></div>";
echo "</div>";
}

include_once '../core/foot.php';
?>